#ifndef LANGBUILDER_LOCALIZATIONFILE_HPP
#define LANGBUILDER_LOCALIZATIONFILE_HPP

#include <filesystem>
#include <string>
#include <unordered_map>

class LocalizationFile {
    std::unordered_map<std::string, std::string> _map;

public:
    void LoadFile(const std::filesystem::path& path);

    const std::unordered_map<std::string, std::string>& GetMap() const { return _map; }
};

#endif // LANGBUILDER_LOCALIZATIONFILE_HPP
